clc;
clear all;

m = zeros(101,101);
for y=1:101
    for x=1:101
        m(y,x) = sqrt((x-51)^2 + (y-51)^2); %Euclidiana
    end
end

imagesc(m);
colorbar;

% ============================================

m = zeros(101,101);
for y=1:101
    for x=1:101
        m(y,x) = abs(x-51) + abs(y-51); %City Block
    end
end

figure;
imagesc(m);
colorbar;

% ============================================

m = zeros(101,101);
for y=1:101
    for x=1:101
        m(y,x) = max([abs(x-51) abs(y-51)]); %Chessboard
    end
end

figure;
imagesc(m);
colorbar;