clc;
clear all;

im = imread('pontos.png');

[linhas,colunas] = size(im);
mapa = zeros(linhas,colunas);
equiv = [];

nro_rotulos = 0;
for y=1:linhas
	for x=1:colunas
		if im(y,x) > 0
			if y-1 > 0
				if im(y-1,x) > 0
                    R = 1;
                else
                    R = 0;
                end
			else
				R = 1;
			end
			
			if x-1 > 0
                if im(y,x-1) > 0
                    T = 1;
                else
                    T = 0;
                end
			else
				T = 1;
			end
			
			if R == 0 && T == 0
				nro_rotulos = nro_rotulos + 1;
				mapa(y,x) = nro_rotulos;
			end
			
			if R == 0 && T == 1
				mapa(y,x) = mapa(y,x-1);			
			end
			
			if R == 1 && T == 0
				mapa(y,x) = mapa(y-1,x);			
			end
			
			if R == 1 && T == 1
				mapa(y,x) = mapa(y,x-1);
				if mapa(y-1,x) ~= mapa(y,x-1)
					equiv = [equiv; mapa(y-1,x) mapa(y,x-1)];
				end
			end
			
		end
	end
end

for k=1:size(equiv,1)
    v1 = equiv(k,1);
    v2 = equiv(k,2);
    indices = find(mapa == v1);
    if (length(indices) ~= 0)
        mapa(indices) = v2;
        indices = find(equiv == v1);
        equiv(indices) = v2;        
    end
end

imagesc(mapa); 
colorbar