clc;
clear all;
close all;

im = imread('folha.png');
im = im(:,:,1);
[linhas,colunas] = size(im);

% Adjacncia-4
pontos = [-1 0; 0 +1; +1 0; 0 -1];
N = 4;
im1 = im;

for y=1:linhas
    for x=1:colunas
        S = 0;
        for k=1:N
            py = y + pontos(k,1);
            px = x + pontos(k,2);
            if(py > 0 && py <= linhas && px > 0 && px <= colunas)
                if(im(py,px) > 0)
                    S = S + 1;
                end
            end
        end
        
        if (S == N)
            im1(y,x) = 0;
        end
    end
end

imshow(im1);

% =====================================================================
% Adjacncia-8
pontos = [-1 0; -1 +1; 0 +1; +1 +1; +1 0; +1 -1; 0 -1; -1 -1];
N = 8;
im2 = im;

for y=1:linhas
    for x=1:colunas
        S = 0;
        for k=1:N
            py = y + pontos(k,1);
            px = x + pontos(k,2);
            if(py > 0 && py <= linhas && px > 0 && px <= colunas)
                if(im(py,px) > 0)
                    S = S + 1;
                end
            end
        end
        
        if (S == N)
            im2(y,x) = 0;
        end
    end
end

figure;
imshow(im2);

% =====================================================================
% Diferena
im3 = uint8(abs(double(im2) - double(im1)));
figure;
imshow(im3);
